graphics/py-biggles - The NetBSD Packages Collection

Python module for creating 2D scientific plots

Biggles is a Python module for creating publication-quality 2D
scientific plots.

It supports multiple output formats (postscript, x11, png, svg, gif),
understands simple TeX, and sports a high-level, elegant interface.
It's intended for technical users with sophisticated plotting needs.

Build dependencies

pkgtools/x11-links pkgtools/cwrappers

Runtime dependencies

lang/python27 math/py-numpy16 graphics/plotutils lang/python27 math/py-numpy16 graphics/plotutils

Binary packages

OSArchitectureVersion
NetBSD 8.0i386py27-biggles-1.6.6nb1.tgz
NetBSD 8.0powerpcpy27-biggles-1.6.6.tgz
NetBSD 8.0powerpcpy27-biggles-1.6.6nb1.tgz
NetBSD 8.0powerpcpy27-biggles-1.6.6.tgz
NetBSD 8.0powerpcpy27-biggles-1.6.6nb1.tgz
NetBSD 8.0powerpcpy27-biggles-1.6.6.tgz
NetBSD 8.0powerpcpy27-biggles-1.6.6nb1.tgz
NetBSD 8.0powerpcpy27-biggles-1.6.6nb1.tgz
NetBSD 8.0x86_64py27-biggles-1.6.6nb1.tgz
NetBSD 9.0aarch64py27-biggles-1.6.6nb1.tgz
NetBSD 9.0aarch64py27-biggles-1.6.6nb1.tgz
NetBSD 9.0aarch64py27-biggles-1.6.6nb1.tgz
NetBSD 9.0alphapy27-biggles-1.6.6nb1.tgz
NetBSD 9.0alphapy27-biggles-1.6.6nb1.tgz
NetBSD 9.0alphapy27-biggles-1.6.6nb1.tgz
NetBSD 9.0i386py27-biggles-1.6.6nb1.tgz
NetBSD 9.0powerpcpy27-biggles-1.6.6.tgz
NetBSD 9.0powerpcpy27-biggles-1.6.6nb1.tgz
NetBSD 9.0powerpcpy27-biggles-1.6.6.tgz
NetBSD 9.0powerpcpy27-biggles-1.6.6nb1.tgz
NetBSD 9.0powerpcpy27-biggles-1.6.6.tgz
NetBSD 9.0powerpcpy27-biggles-1.6.6nb1.tgz
NetBSD 9.0powerpcpy27-biggles-1.6.6.tgz
NetBSD 9.0powerpcpy27-biggles-1.6.6nb1.tgz
NetBSD 9.0sparc64py27-biggles-1.6.6nb1.tgz
NetBSD 9.0sparc64py27-biggles-1.6.6nb1.tgz
NetBSD 9.0sparc64py27-biggles-1.6.6nb1.tgz
NetBSD 9.0x86_64py27-biggles-1.6.6nb1.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.